%define anolis_release 1
%define release_version 0.3.0
%define pre_version alpha.5
%global debug_package %{nil}

Name:           nydus-snapshotter
Version:        %{release_version}~%{pre_version}
Release:        %{anolis_release}%{?dist}
Summary:        A containerd snapshotter with data deduplication and lazy loading 

License:        Apache-2.0
URL:		https://github.com/containerd/nydus-snapshotter
Source0:        https://github.com/containerd/nydus-snapshotter/archive/refs/tags/v%{release_version}-%{pre_version}.tar.gz
Source1: 	nydus-snapshotter.fusedev.service
Source2:	v%{release_version}-%{pre_version}-vendor.tar.gz

Requires: nydus-rs >= 2.1.0
BuildRequires:  golang

%description
Nydus Snapshotter - A containerd snapshotter with data deduplication and lazy loading 

%prep

%autosetup -n %{name}-%{release_version}-%{pre_version}
go env -w GOFLAGS="-mod=vendor"

%build
tar -xzf %{SOURCE2}
%make_build

%install
install -Dpm 0755 ./bin/containerd-nydus-grpc %{buildroot}%{_bindir}/containerd-nydus-grpc
install -Dpm 0755 %{SOURCE1} %{buildroot}/etc/systemd/system/nydus-snapshotter.service
mkdir -p %{buildroot}/var/lib/containerd/io.containerd.snapshotter.v1.nydus/cache

%check

%post

%preun

%files
%{_bindir}/containerd-nydus-grpc
/etc/systemd/system/nydus-snapshotter.service
/var/lib/containerd/io.containerd.snapshotter.v1.nydus/cache


%changelog
* Wed Aug 10 2022 tianqian.zyf <zyfjeff@linux.alibaba.com> - 0.3.0~alpha.5-1
- Support systemd
* Thu Jul 28 2022 Qinqi Qu <quqinqi@linux.alibaba.com> - 0.2.4-1
- First release
